Fakultas Ilmu Komputer UI

Commit 8b1a186b authored by Sean Gillespie's avatar Sean Gillespie
Browse files

Fix cabal build

Set optparse-applicative < 0.13, since 0.13 introduced breaking changes
parent dec1e6ba
...@@ -36,7 +36,7 @@ executable lambda-calculator ...@@ -36,7 +36,7 @@ executable lambda-calculator
ghc-options: -threaded -rtsopts -with-rtsopts=-N ghc-options: -threaded -rtsopts -with-rtsopts=-N
build-depends: base, build-depends: base,
lambda-calculator, lambda-calculator,
optparse-applicative, optparse-applicative < 0.13,
Shellac, Shellac,
Shellac-readline Shellac-readline
default-language: Haskell2010 default-language: Haskell2010
......
...@@ -5,4 +5,4 @@ packages: ...@@ -5,4 +5,4 @@ packages:
extra-deps: extra-deps:
- Shellac-0.9.9 - Shellac-0.9.9
- Shellac-readline-0.9.9 - Shellac-readline-0.9.9
resolver: lts-7.0 resolver: lts-7.14
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment